org.gjt.sp.jedit.datatransfer

## Class StringTransferableService

- java.lang.Object
- - org.gjt.sp.jedit.datatransfer.StringTransferableService

- All Implemented Interfaces:
    JEditTransferableService

      public class StringTransferableService
      extends java.lang.Object
      implements JEditTransferableService

  Since:
    jEdit 4.4.x

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringTransferableService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(TextArea textArea, java.lang.String text)`
    `java.awt.datatransfer.Transferable` | `getTransferable(TextArea textArea, java.lang.String text)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringTransferableService

          public StringTransferableService()

  - ### Method Detail

    - #### accept

          public boolean accept(TextArea textArea,
                                java.lang.String text)

      Specified by:
        `accept` in interface `JEditTransferableService`

    - #### getTransferable

          public java.awt.datatransfer.Transferable getTransferable(TextArea textArea,
                                                                    java.lang.String text)

      Specified by:
        `getTransferable` in interface `JEditTransferableService`